Imports System.Runtime.InteropServices
Imports AddinExpress.OL

Public Class ADXOlForm1

    Public Sub New()
        MyBase.New()

        InitializeComponent()

    End Sub

    Private Sub ADXOlForm1_ADXBeforeFormShow() Handles MyBase.ADXBeforeFormShow
        If Me.InspectorObj IsNot Nothing Then
            ChangeFormSize(TryCast(Me.AddinModule, AddinModule).InspectorNextShowingSize)
            tbCurrentSize.Value = TryCast(Me.AddinModule, AddinModule).InspectorNextShowingSize
            tbNextShowing.Value = TryCast(Me.AddinModule, AddinModule).InspectorNextShowingSize
        End If
        If Me.ExplorerObj IsNot Nothing Then
            ChangeFormSize(TryCast(Me.AddinModule, AddinModule).ExplorerNextShowingSize)
            tbCurrentSize.Value = TryCast(Me.AddinModule, AddinModule).ExplorerNextShowingSize
            tbNextShowing.Value = TryCast(Me.AddinModule, AddinModule).ExplorerNextShowingSize
        End If
    End Sub

    Private Sub ChangeFormSize(ByVal value As Integer)
        If Me.ExplorerObj IsNot Nothing Then
            Select Case Me.Item.ExplorerLayout
                Case AddinExpress.OL.ADXOlExplorerLayout.BottomNavigationPane, _
                 AddinExpress.OL.ADXOlExplorerLayout.BottomOutlookBar, _
                 AddinExpress.OL.ADXOlExplorerLayout.BottomReadingPane, _
                 AddinExpress.OL.ADXOlExplorerLayout.BottomSubpane, _
                 AddinExpress.OL.ADXOlExplorerLayout.BottomTodoBar, _
                 AddinExpress.OL.ADXOlExplorerLayout.TopReadingPane, _
                 AddinExpress.OL.ADXOlExplorerLayout.TopSubpane
                    Me.Height = value
                    Exit Select
                Case AddinExpress.OL.ADXOlExplorerLayout.LeftReadingPane, _
                 AddinExpress.OL.ADXOlExplorerLayout.LeftSubpane, _
                 AddinExpress.OL.ADXOlExplorerLayout.RightReadingPane, _
                 AddinExpress.OL.ADXOlExplorerLayout.RightSubpane
                    Me.Width = value
                    Exit Select
                Case AddinExpress.OL.ADXOlExplorerLayout.Unknown, _
                 AddinExpress.OL.ADXOlExplorerLayout.WebViewPane
                    Exit Select
            End Select
        End If

        If Me.InspectorObj IsNot Nothing Then
            Select Case Me.Item.InspectorLayout
                Case AddinExpress.OL.ADXOlInspectorLayout.BottomSubpane, _
                 AddinExpress.OL.ADXOlInspectorLayout.TopSubpane
                    Me.Height = value
                    Exit Select
                Case AddinExpress.OL.ADXOlInspectorLayout.LeftSubpane, _
                 AddinExpress.OL.ADXOlInspectorLayout.RightSubpane
                    Me.Width = value
                    Exit Select
                Case AddinExpress.OL.ADXOlInspectorLayout.Unknown
                    Exit Select
            End Select
        End If
    End Sub

    Private Sub tbCurrentSize_MouseUp(sender As System.Object, e As System.Windows.Forms.MouseEventArgs) Handles tbCurrentSize.MouseUp
        ChangeFormSize(tbCurrentSize.Value)
    End Sub

    Private Sub tbNextShowing_ValueChanged(sender As System.Object, e As System.EventArgs) Handles tbNextShowing.ValueChanged
        If Me.InspectorObj IsNot Nothing Then
            TryCast(Me.AddinModule, AddinModule).InspectorNextShowingSize = tbNextShowing.Value
        End If
        If Me.ExplorerObj IsNot Nothing Then
            TryCast(Me.AddinModule, AddinModule).ExplorerNextShowingSize = tbNextShowing.Value
        End If
    End Sub

End Class
